Update all Global Settings.

Prev Next
Put
/global-settings

Update all Global Settings.

Security
HTTP
Type bearer
Body parameters

Global settings.

Expand All
object
claimsTokenExpiration
number Required

Number of minutes the Claims Token is valid both for administrators and clients.

Example1440.0
entitlementTokenExpiration
number Required

Number of minutes the Entitlement Token is valid for clients.

Example180.0
administrationTokenExpiration
number Required

Number of minutes the administration Token is valid for administrators.

Example720.0
vpnCertificateExpiration
number Required

Number of minutes the VPN certificates is valid for clients.

Example525600.0
registeredDeviceExpirationDays
number

Number of days registered devices are kept in storage before being deleted.

Example90.0
spaMode
string

SPA mode.

Valid values[ "TCP", "UDP-TCP" ]
spaTimeWindowSeconds
number

Number of seconds the time skew SPA will allow.

Default600.0
loginBannerMessage
string

The configured message will be displayed on the sign-in UI.

ExampleAuthorized use only.
messageOfTheDay
string

The configured message will be displayed after a successful login.

ExampleWelcome to Appgate SDP.
backupApiEnabled
boolean

Whether the backup API is enabled or not.

backupPassphrase
string (password)

The passphrase to encrypt Appliance Backups when backup API is used.

ExampletSW3!QBv(rj{UuLY
geoIpSettings
object (GeoIpSettings)

GeoIP provider settings supporting multiple providers.

updates
string

Selected GeoIP provider when enabled.

Valid values[ "Disabled", "Default", "Maxmind", "IPInfo", "Custom" ]
Default"Disabled"
ExampleDefault
maxmind
object

MaxMind provider configuration. Required if provider is Maxmind.

accountId
integer

MaxMind account ID.

Minimum1
Example123456
licenseKey
string (password)

MaxMind license key. Not returned by GET.

Examplemm-license-key
ipInfo
object

IPInfo provider configuration. Required if provider is IPInfo.

databaseId
string

Can be one of the predefined values: "ipinfo_lite", "ipinfo_core", "ipinfo_plus", "ipinfo_location", "location_extended_v2", or a custom database name for future IPinfo additions.

Exampleipinfo_lite
token
string (password)

IPInfo token. Not returned by GET.

Exampleipinfo-token
custom
object

Custom provider configuration. Required if provider is Custom.

url
string

Custom provider base URL.

Examplehttps://geoip.example.com
auditLogPersistenceMode
string Required

Audit Log persistence mode.

Valid values[ "Default", "Guaranteed", "Performance" ]
profileHostname
string

The hostname to use for generating profile URLs.

Exampleappgate.company.com
collectiveName
string

Friendly name for the Collective.

ExampleTest Collective
Responses
204

Global Settings were updated successfully.

400

JSON error. Check the JSON format.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

422

Request validation error. Check "errors" array for details.

Expand All
object

Http 422 error for object validation.

id
string

Machine readable error code.

message
string

Human readable error details.

errors
Array of object

List of fields with validation errors.

object
field
string

Name of the field that failed validation.

Examplename
message
string

Failure reason.

Examplemay not be null
500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.